Story # 6114 (Closed): Include updated D1 indexing library

Use a new schema of dataone solr index so that the author last name can be sortable
10/01/2013 04:22 PM - Jing Tao

Status: Resolved Start date: 10/01/2013
Priority: Normal Due date:

Assignee: Jing Tao % Done: 0%
Category: index Estimated time: 0.00 hour
Target version: 2.3.0 Spent time: 0.00 hour
Description

Ben said skye developed a new schema of the dataone solr index so that the author last name can be sortable. We need to adopt
the new schema.

History

#1 - 10/03/2013 11:59 AM - ben leinfelder

This is included in the v1.2.0 release of d1 indexing -- called "authorSurNameSort"

Config:
https://repository.dataone.org/software/cicore/tags/D1_CN_INDEX PROCESSOR_v1.2.0/src/main/resources/application-context-eml-base.xml

#2 - 10/03/2013 12:00 PM - ben leinfelder
- Parent task set to #6114

#3 - 10/09/2013 03:23 PM - Jing Tao

After adopting the d1_cn_index_processor 1.2.0, the authorSurNameSort field is sortable. But it doesn't work very well. It turns out that the attribute
"stored" of the field should be true. But the default value is false in the 1.2.0. Skype was thinking to release a release of d1_cn_index_processor only
with schema change.

#4 - 10/09/2013 03:27 PM - ben leinfelder

Won't this be included in the next (1.2.1) release of the library as well? Could just wait for that if it is coming up soon.

#5 - 10/10/2013 09:33 AM - Jing Tao
- Status changed from New to Resolved

- translation missing: en.field_remaining_hours set to 0.0

Skype released a "buildout" component DATAONE-CN-INDEX_v1.2.1. It only has the schema change. Now our schema is using this one. It works.
